.contact-form {
  top: 0;
  left: 0;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 10000;
  background-color: #181818;
  color: #0c0c0c;
}

.contact-form__container {
  overflow-x: hidden;
  overflow-y: scroll;
  padding: 45px 0;
  height: 100%;

  @media (--medium) {
    padding: 10px;
  }
}

.contact-form__overlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  cursor: pointer;
  z-index: 1;
}

.contact-form__form {
  width: 100%;
  max-width: 780px;
  position: relative;
  z-index: 2;
  margin: 0 auto;
  overflow: hidden;
  background-color: #faead3;
}

.contact-form__title {
  margin: 0;
  font-size: 20px;

  @media (--medium) {
    font-size: 15px;
  }
}

.contact-form__header {
  height: 70px;
  display: flex;
  position: relative;
  align-items: center;
  padding: 0 30px;
  border-bottom: 1px solid rgba(0, 0, 0, .15);

  @media (--medium) {
    height: 40px;
    padding: 10px;
  }
}

.contact-form__close {
  width: 32px;
  height: 32px;
  position: absolute;
  right: 30px;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  padding: 0;
  background-color: transparent;
  outline: none;
  cursor: pointer;

  & svg {
    fill: #0c0c0c;
    transition: fill 0.3s ease 0s;
  }

  &:hover svg {
    fill: #990000;
  }

  @media (--medium) {
    right: 10px;

    &,
    & svg {
      width: 16px;
      height: 16px;
    }
  }
}

.contact-form__fieldset {
  border: 0;
  padding: 0 30px;
  display: flex;

  &:first-of-type {
    margin-top: 30px;
  }

  &:last-of-type {
    margin-bottom: 40px;
  }

  @media (--medium) {
    display: block;
    padding: 0 10px;
  }
}

.contact-form__input {
  flex: 0 0 345px;
  display: block;
  margin-bottom: 25px;
  position: relative;

  &:not(:nth-child(2n)) {
    margin-right: 30px;
  }

  &.full {
    margin-right: 0;
    flex: 0 0 100%;
  }

  @media (--medium) {
    width: 100%;

    &:not(:nth-child(2n)) {
      margin-right: 0;
    }
  }
}

.contact-form__input-label {
  display: block;
  margin-bottom: 12px;
  font-size: 20px;
  line-height: 18px;
  color: #0c0c0c;
  text-align: left;
  cursor: pointer;

  @media (--medium) {
    font-size: 15px;
    margin-bottom: 8px;
  }
}

.contact-form__input-input,
.contact-form__input-textarea,
.contact-form__input-select,
.contact-form__select-option {
  text-align: left;
  width: 100%;
  height: 70px;
  outline: none;
  padding: 0 20px;
  display: block;
  line-height: 70px;
  white-space: nowrap;
  background-color: rgba(12, 12, 12, 0.03);
  border: 1px solid #0c0c0c;
  font-size: 20px;
  color: #0c0c0c;

  @media (--medium) {
    height: 55px;
    font-size: 15px;
    line-height: 55px;
  }
}

.contact-form__input-select {
  cursor: pointer;
  position: relative;
}

.contact-form__input-textarea {
  width: 100%;
  resize: none;
  height: auto;
  min-height: 140px;
}

.contact-form__submit {
  display: block;
  width: 330px;
  height: 70px;
  outline: none;
  padding: 0;
  line-height: 72px;
  border: none;
  background-color: #990000;
  margin: 15px auto 0;
  color: #faead3;
  font-size: 20px;
  cursor: pointer;
  transition: background-color 0.3s ease 0s;
  will-change: background-color;

  &:hover {
    background-color: #7a0000;
  }

  &.loading {
    cursor: progress;
  }

  @media (--medium) {
    height: 55px;
    width: 200px;
    line-height: 57px;
    font-size: 15px;
  }
}

.contact-form__select-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 200;
  background-color: #faead3;
  box-shadow: 2px 4px 3px 0 rgba(0, 0, 0, .2);
}

.contact-form__select-option {
  border-top: none;
  cursor: pointer;
}
